Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class MappedListAttributeDefinition.Builder

    java.lang.Object
      org.modeshape.jboss.subsystem.MappedListAttributeDefinition.Builder

Enclosing class:
  MappedListAttributeDefinition

    public static class MappedListAttributeDefinition.Builder

extends Object

Constructor Summary
`MappedListAttributeDefinition.Builder(String name, org.jboss.as.controller.SimpleAttributeDefinition valueType)`

Method Summary
`org.jboss.as.controller.ListAttributeDefinition` | `build()`
`static MappedListAttributeDefinition.Builder` | `of(String name, org.jboss.as.controller.SimpleAttributeDefinition valueType)`
`MappedListAttributeDefinition.Builder` | `setAllowNull(boolean allowNull)`
`MappedListAttributeDefinition.Builder` | `setAlternates(String... alternates)`
`MappedListAttributeDefinition.Builder` | `setFieldPathInRepositoryConfiguration(String... pathToField)`
`MappedListAttributeDefinition.Builder` | `setFlags(org.jboss.as.controller.registry.AttributeAccess.Flag... flags)`
`MappedListAttributeDefinition.Builder` | `setMaxSize(int maxSize)`
`MappedListAttributeDefinition.Builder` | `setMinSize(int minSize)`
`MappedListAttributeDefinition.Builder` | `setRequires(String... requires)`
`MappedListAttributeDefinition.Builder` | `setXmlName(String xmlName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedListAttributeDefinition.Builder

    public MappedListAttributeDefinition.Builder(String name,
                                                 org.jboss.as.controller.SimpleAttributeDefinition valueType)

Method Detail

### of

    public static MappedListAttributeDefinition.Builder of(String name,
                                                           org.jboss.as.controller.SimpleAttributeDefinition valueType)

### build

    public org.jboss.as.controller.ListAttributeDefinition build()

### setAllowNull

    public MappedListAttributeDefinition.Builder setAllowNull(boolean allowNull)

### setAlternates

    public MappedListAttributeDefinition.Builder setAlternates(String... alternates)

### setFlags

    public MappedListAttributeDefinition.Builder setFlags(org.jboss.as.controller.registry.AttributeAccess.Flag... flags)

### setMaxSize

    public MappedListAttributeDefinition.Builder setMaxSize(int maxSize)

### setMinSize

    public MappedListAttributeDefinition.Builder setMinSize(int minSize)

### setRequires

    public MappedListAttributeDefinition.Builder setRequires(String... requires)

### setXmlName

    public MappedListAttributeDefinition.Builder setXmlName(String xmlName)

### setFieldPathInRepositoryConfiguration

    public MappedListAttributeDefinition.Builder setFieldPathInRepositoryConfiguration(String... pathToField)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.